<?php
namespace App\Model\Table;

use Cake\ORM\Table;
use Cake\Validation\Validator;
use Cake\Auth\DefaultPasswordHasher;
//use Cake\ORM\RulesChecker;
 
class ConversationsTable extends Table
{
    public function initialize(array $config)
    {
        
		$this->belongsTo('Contacts', [
            'className' => 'Contacts',
            //'bindingKey' => ['clientId'],
			'foreignKey' => ['contactId']
        ]);  
    }
    
    public function validationCustomer(Validator $validator)
    {
       
		$validator->notEmpty('message', 'Please enter message.');
        return $validator;
    }
    
    
    
	
    
    
    
    
    
    
   

}
